#include "squidwall.h"

/* some simple debugging can be made */

#if DEBUG_LEVEL
unsigned long debug_level;

void debug(int level, char *msg)
{
	if (level > debug_level) return;

	log_headline("debug"); log_s(msg); log_s("\n");

	return;
}

void debug_ulong(int level, char *msg, unsigned long num)
{
	if (level > debug_level) return;

	log_headline("debug");
	log_s(msg); log_ulong(num); log_s("\n");

	return;
}

void debug_long(int level, char *msg, long num)
{
	if (level > debug_level) return;

	log_headline("debug");
	log_s(msg); log_long(num); log_s("\n");

	return;
}

void debug_s(int level, char *msg, char *s)
{
	if (level > debug_level) return;

	log_headline("debug");
	log_s(msg); log_s(s); log_s("\n");

	return;
}
#endif
