#!/bin/sh

SERVER="192.168.100.1"
NETWORK="foobar"

#strace -s 22222 -o /tmp/xxx-$$.st \
exec env -i \
 LOG_FILE="/var/log/squid/squidwall.log" \
 MAX_SIZE="40000" \
 PROXY="127.0.0.1:3128" \
 CLAMD="127.0.0.1:3310" \
 REDIR_BADUSER="http://$SERVER/inet/deny.php?network=$NETWORK&reason=user&" \
 REDIR_BADHOST="http://$SERVER/inet/deny.php?network=$NETWORK&reason=host&" \
 REDIR_BADCONT="http://$SERVER/inet/deny.php?network=$NETWORK&reason=cont&" \
 REDIR_BADURL="http://$SERVER/inet/deny.php?network=$NETWORK&reason=url&" \
 REDIR_VIRUSFOUND="http://$SERVER/inet/deny.php?network=$NETWORK&reason=virus&" \
 REDIR_SAFESITE="http://$SERVER/" \
 /usr/bin/squidwall
